Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kohsuke.rngom.parse
Interface Parseable

All Known Implementing Classes:
  CompactParseable, SAXParseable

    public interface Parseable

An input that can be turned into a RELAX NG pattern.

This is either a RELAX NG schema in the XML format, or a RELAX NG schema in the compact syntax.

Method Summary
`
`<P extends ParsedPattern> P`
` | `parse(SchemaBuilder<?,P,?,?,?,?> sb)` Parses this `Parseable` object into a RELAX NG pattern.
`
`<P extends ParsedPattern> P`
` | `parseExternal(java.lang.String uri, SchemaBuilder<?,P,?,?,?,?> f, Scope s, java.lang.String inheritedNs)` Called from `SchemaBuilder` in response to `SchemaBuilder.makeExternalRef(Parseable, String, String, Scope, Location, Annotations)` to parse the referenced grammar.
`
`<P extends ParsedPattern> P`
` | `parseInclude(java.lang.String uri, SchemaBuilder<?,P,?,?,?,?> f, IncludedGrammar<P,?,?,?,?> g, java.lang.String inheritedNs)` Called from `Include` in response to `Include.endInclude(Parseable, String, String, Location, Annotations)` to parse the included grammar.

Method Detail

### parse

    <P extends ParsedPattern> P parse(SchemaBuilder<?,P,?,?,?,?> sb)
                                  throws BuildException,
                                         IllegalSchemaException

  Parses this `Parseable` object into a RELAX NG pattern.

  Parameters:
    `sb` - The builder of the schema object model. This object dictates how the actual pattern is constructed.
  Returns:
    a parsed object. Always returns a non-null valid object.
  Throws:
    `BuildException`
    `IllegalSchemaException`

### parseInclude

    <P extends ParsedPattern> P parseInclude(java.lang.String uri,
                                             SchemaBuilder<?,P,?,?,?,?> f,
                                             IncludedGrammar<P,?,?,?,?> g,
                                             java.lang.String inheritedNs)
                                         throws BuildException,
                                                IllegalSchemaException

  Called from `Include` in response to `Include.endInclude(Parseable, String, String, Location, Annotations)` to parse the included grammar.

  Parameters:
    `g` - receives the events from the included grammar.
  Throws:
    `BuildException`
    `IllegalSchemaException`

### parseExternal

    <P extends ParsedPattern> P parseExternal(java.lang.String uri,
                                              SchemaBuilder<?,P,?,?,?,?> f,
                                              Scope s,
                                              java.lang.String inheritedNs)
                                          throws BuildException,
                                                 IllegalSchemaException

  Called from `SchemaBuilder` in response to `SchemaBuilder.makeExternalRef(Parseable, String, String, Scope, Location, Annotations)` to parse the referenced grammar.

  Parameters:
    `f` - receives the events from the referenced grammar.
  Throws:
    `BuildException`
    `IllegalSchemaException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD